Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038434
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POScriticalalways2018-04-24 13:022018-05-08 17:25
ReporterLeyreView Statuspublic 
Assigned Torqueralta 
PriorityimmediateResolutionfixedFixed in VersionRR18Q3
StatusclosedFix in branchFixed in SCM revisiona5ca8bb3ff92
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - Confirmed Stable
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038434: POS - Failure to update the Business Partner

DescriptionThe tax of a sales order is incorrect if you edit and save the Business Partner while you make a sales order.
Steps To ReproducePOS:
1. Generate a new sales order.
2. Assign a Business Partner. To see a clear example, select one from Spain.
3. Continue the sales order by selecting an article.
4. Edit the Business Partner (for example, the email) and save the changes.
5. Pay and finish the order.

Backend:
1. Go to "Sales Order" and open the previous order.

Check that the tax is incorrect. The tax would be "Entregas IVA 21% - IVA Normal". But you can see that the tax is "Exportaciones (%N=>0%) - IVA Normal".
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0038493RR18Q2.1 closedrqueralta POS - Failure to update the Business Partner 
depends on backport 0038494RR18Q1.3 closedrqueralta POS - Failure to update the Business Partner 
related to defect 0038746 newrqueralta Create an automated test for issue 38434 

-  Notes
(0104105)
hgbot (developer)
2018-04-26 14:33

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: a5ca8bb3ff9245be60e7aa80803774dc8b74deba
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Wed Apr 25 17:05:09 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a5ca8bb3ff9245be60e7aa80803774dc8b74deba [^]

Fixed issue 38434: POS - Failure to update the Business Partner

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/components/sharedcomponents.js
---
(0104180)
hgbot (developer)
2018-05-01 16:46

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 4073a31217b374c0a638c8a99c3299ad8a926152
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Mon Apr 30 10:28:08 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4073a31217b374c0a638c8a99c3299ad8a926152 [^]

Related to issue 38434: POS - Failure to update the Business Partner

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/components/sharedcomponents.js
---

- Issue History
Date Modified Username Field Change
2018-04-24 13:02 Leyre New Issue
2018-04-24 13:02 Leyre Assigned To => Retail
2018-04-24 13:02 Leyre Regression date => 2018-05-08
2018-04-24 13:02 Leyre Triggers an Emergency Pack => No
2018-04-24 13:27 egoitz Regression level => Production - Confirmed Stable
2018-04-24 13:28 egoitz Regression date 2018-05-08 =>
2018-04-24 13:30 egoitz Priority high => immediate
2018-04-24 13:30 egoitz Severity major => critical
2018-04-25 15:12 rqueralta Assigned To Retail => rqueralta
2018-04-25 15:12 rqueralta Status new => scheduled
2018-04-26 14:33 hgbot Checkin
2018-04-26 14:33 hgbot Note Added: 0104105
2018-04-26 14:33 hgbot Status scheduled => resolved
2018-04-26 14:33 hgbot Resolution open => fixed
2018-04-26 14:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a5ca8bb3ff9245be60e7aa80803774dc8b74deba [^]
2018-05-01 16:46 hgbot Checkin
2018-05-01 16:46 hgbot Note Added: 0104180
2018-05-04 13:46 marvintm Status resolved => new
2018-05-04 13:46 marvintm Resolution fixed => open
2018-05-04 13:46 marvintm Status new => scheduled
2018-05-04 13:46 marvintm Status scheduled => resolved
2018-05-04 13:46 marvintm Fixed in Version => RR18Q3
2018-05-04 13:46 marvintm Resolution open => fixed
2018-05-04 13:51 marvintm Review Assigned To => marvintm
2018-05-04 13:51 marvintm Status resolved => closed
2018-06-13 10:47 migueldejuana Relationship added related to 0038746


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker